Method: projects.subscriptions.pull

Pulls messages from the server.

HTTP request


POST https://pubsub.googleapis.com/v1/{subscription}:pull

Path parameters

Parameters
subscription

string

Required. The subscription from which messages should be pulled. Format is projects/{project}/subscriptions/{sub}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "returnImmediately": boolean,
  "maxMessages": integer
}
Fields
returnImmediately
(deprecated)

boolean

Optional. If this field set to true, the system will respond immediately even if it there are no messages available to return in the subscriptions.pull response. Otherwise, the system may wait (for a bounded amount of time) until at least one message is available, rather than returning no messages. Warning: setting this field to true is discouraged because it adversely impacts the performance of subscriptions.pull operations. We recommend that users do not set this field.

maxMessages

integer

Required. The maximum number of messages to return for this request. Must be a positive integer. The Pub/Sub system may return fewer than the number specified.

Response body

Response for the subscriptions.pull method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "receivedMessages": [
    {
      object (ReceivedMessage)
    }
  ]
}
Fields
receivedMessages[]

object (